[Overview][Constants][Types][Classes][Index] | Reference for unit 'IBConnection' (#fcl)

# TDatabaseInfo

Record with available database information

## Declaration

Source position: ibconnection.pp line 22

`type TDatabaseInfo = record`
`Dialect: Integer;` |  | SQL dialect (1,2 or 3)
`ODSMajorVersion: Integer;` |  | Database On-Disk Structure major version
`ServerVersion: string;` |  | Short Interbase/Firebird server version as reported by server
`ServerVersionString: string;` |  | Long Interbase/Firebird server version as reported by server
`end;`

## Description

TDatabaseInfo is used internally by TIBconnection to store information about the connected database.

## See also

TIBConnection |  | TIBConnection: Firebird/Interbase specific TSQLConnection